org.apache.lucene.analysis.opennlp

## Class OpenNLPPOSFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.opennlp.OpenNLPPOSFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class OpenNLPPOSFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `OpenNLPPOSFilter`.

       <fieldType name="text_opennlp_pos" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.OpenNLPTokenizerFactory" sentenceModel="filename" tokenizerModel="filename"/>
           <filter class="solr.OpenNLPPOSFilterFactory" posTaggerModel="filename"/>
         </analyzer>
       </fieldType>

  Since:
    7.3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `POS_TAGGER_MODEL`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenNLPPOSFilterFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenNLPPOSFilter` | `create(TokenStream in)`
    `void` | `inform(ResourceLoader loader)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POS_TAGGER_MODEL

          public static final String POS_TAGGER_MODEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenNLPPOSFilterFactory

          public OpenNLPPOSFilterFactory(Map<String,String> args)

  - ### Method Detail

    - #### create

          public OpenNLPPOSFilter create(TokenStream in)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### inform

          public void inform(ResourceLoader loader)

      Specified by:
        `inform` in interface `ResourceLoaderAware`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.